List auction events
Returns a paginated list of auction events.
get
Authorizations
AuthorizationstringRequired
You can retrieve your token by visiting Settings > API and clicking Generate Public Token.
Query parameters
filter[status]string · enumOptionalPossible values:
perPageinteger · min: 1 · max: 100Optional
Results per page (1–100).
fields[auction-events]stringOptional
Available values are name, startsAt, endsAt, staggeredEndsAt, staggerClose, status, archivedAt, createdAt, updatedAt. You can include multiple values by separating them with a comma.
sortstringOptional
Sort by field. Prefix with - for descending order. Available values: startsAt, -startsAt, endsAt, -endsAt.
Responses
200
Paginated set of AuctionEventResource
application/vnd.api+json
401
Unauthenticated
application/vnd.api+json
422
Validation error
application/vnd.api+json
get/auction-events
GET /v1/auction-events HTTP/1.1
Host: api.auctionplusapp.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"id": "v7ekmv7amx5133bzpnad37qmg8",
"type": "auction-events",
"attributes": {
"name": "Fine Art Auction",
"startsAt": "2026-08-29T13:52:05.000000Z",
"endsAt": "2026-09-05T13:52:05.000000Z",
"staggeredEndsAt": null,
"staggerClose": {
"enabled": true,
"interval": 3,
"seconds": 60
},
"status": "scheduled",
"archivedAt": null,
"createdAt": null,
"updatedAt": null
}
}
],
"meta": {
"currentPage": 1,
"from": null,
"lastPage": 1,
"perPage": 1,
"to": null,
"total": 1
}
}Last updated